# VecReciprocal

Replaces each component of a vector by its reciprocal.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecReciprocal(Vec vec)

Collective on Vec

### Input Parameter

vec -the vector

### Output Parameter

vec -the vector reciprocal

Level:intermediate
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html